Subject: Re: Re-Charter Discussion - Draft 2

From: <[email-masked]>
Date: Mon, 24 May 2010 18:34:52 +0100

Tom,

Thanks for the comments. The intent (after much debate) was not to try to
specify the specific work items too tightly in the charter itself.

The plan being followed by the WG chairs is to first have a new charter
text/scope agreed and then work on defining specific detailed milestones
against the scope of that charter. If there are no milestones proposed or
agreed (which I suspect will not be the case) we have done our work and can
suggest closing the WG.

So what I would suggest is that we go ahead with the new charter text and
get on with defining some milestones against that. Once we have the
milestones we can decide whether they are sufficient to justify a WG for
themselves or not.

Agree?

Ben

On 21/05/2010 12:58, "Thomas Nadeau" <[email-masked]> wrote:

> 
> I personally think that while the charter below contains nothing offensive, it
> does seem too broad. I'd like to see more specific goals for the WG to
> accomplish.  For example, "Security mechanisms" seems too nebulous and
> open-ended.  I'd also like to see target dates next to work items.  I'd also
> suggest that if specific goals cannot be put forth and accomplished within set
> dates and/or the WG continues to work on what seems to be multicast issues
> exclusively, that the WG down and simply move that work to MPLS.
> 
> --Tom
> 
> 
> 
> Colleagues,
> 
> Just a reminder that the deadline I set is tomorrow @ midnight PST and I
> have yet to see any comments whatsoever on the new charter text (which may
> of course mean everyone is happy with it).
> 
> If you have any comments please send to the mailing list or privately to the
> chairs.
> 
> Ben
> 
> 
> On 15/05/2010 18:10, "Benjamin Niven-Jenkins"
> <[email-masked]<mailto:[email-masked]>> wrote:
> 
> Colleagues,
> 
> Following Eric's comments and one private comment I have updated the proposed
> text for our new charter.
> 
> Please review the proposed charter text and provide any comments or
> suggestions for alternative text.
> 
> If no objections are made or further comments received by midnight PST on 21st
> May I will proceed to replace our current charter with the new charter text
> proposed.
> 
> 
> For your convenience I have put a diff between the existing charter text and
> the proposed charter text here:
> http://www.niven-jenkins.co.uk/L3VPN/L3VPN-Charter-Diff-01.html
> 
> The proposed charter text is below and is also available here:
> http://www.niven-jenkins.co.uk/L3VPN/New-L3VPN-Charter-01.txt
> 
> NEW CHARTER TEXT:
> Description of Working Group
> 
> This working group is responsible for defining, specifying and extending
> BGP/MPLS IP VPNs solutions (based on RFC4364 and RFC4659) for supporting
> provider-provisioned Layer-3 (routed) Virtual Private Networks (L3VPNs).
> 
> The WG will continue to extend and enhance RFC4364 and RFC4659 based solutions
> so that these solutions can be used to provide IPv4, IPv6, and MPLS services
> including multicast.
> 
> The following VPN deployment scenarios will be considered by the WG:
> 1. Single service provider (SP)/single AS: VPN sites attached to the network
> of a single provider within the scope of a single AS.
> 2. Single SP/multiple AS'es: VPN sites attached to the network of a single
> provider consisting of multiple AS'es.
> 3. Cooperating SPs: VPN sites attached to networks of different providers that
> cooperate with each other to provide VPN service.
> 
> As part of this effort the WG will work on the following tasks:
> 1. Additional requirements and framework for Layer 3 VPNs.
> 2. Solution documents, including applicability statements.
> 3. MIB definitions.
> 4. Security mechanisms.
> 
> As a general rule, the WG will not create new protocols, but will extend
> existing protocols to provide the necessary L3VPN functionality. Protocol
> extensions that provide L3VPN functionality will be reviewed by both the L3VPN
> WG and by the WG responsible for the protocol being extended.
> 
> The WG will continue to extend and enhance the Multicast over BGP/MPLS VPN
> solution.
> 
> 
> 
> Thanks
> Ben
> 
> 
>

---

From: Thomas Nadeau <[email-masked]>
Date: Wed, 26 May 2010 10:59:54 -0400

Hi,

> agreed (which I suspect will not be the case) we have done our work and can

	I guess that is what I was getting at earlier too. We should all agree 
that the scope of work is really there. That is, is anyone participating here 
really interested in anything other than m-vpn?  If no one is, then the other WG items 
seem superfluous, and perhaps only prolong the inevitable closure of the WG after
that work is completed - or transferred elsewhere. 

	So more to your suggestion then, I'd suggest that we agree that if we
create these loose categories of work items, that then if specific work items
(and firm dates) cannot be assigned, then those areas are deleted.

	--Tom